Loading...
Searching...
No Matches
RDKit::Abbreviations Namespace Reference

## Namespaces

namespace | common_properties
namespace | Utils

## Classes

struct | AbbreviationDefinition
struct | AbbreviationMatch

## Functions

RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationMatch > | findApplicableAbbreviationMatches (const ROMol &mol, const std::vector< AbbreviationDefinition > &abbrevs, double maxCoverage=0.4)
| returns all matches for the abbreviations across the molecule
RDKIT_ABBREVIATIONS_EXPORT void | applyMatches (RWMol &mol, const std::vector< AbbreviationMatch > &matches)
RDKIT_ABBREVIATIONS_EXPORT void | labelMatches (RWMol &mol, const std::vector< AbbreviationMatch > &matches)
| creates "SUP" SubstanceGroups on the molecule describing the abbreviation
RDKIT_ABBREVIATIONS_EXPORT void | condenseMolAbbreviations (RWMol &mol, const std::vector< AbbreviationDefinition > &abbrevs, double maxCoverage=0.4, bool sanitize=true)
RDKIT_ABBREVIATIONS_EXPORT void | labelMolAbbreviations (RWMol &mol, const std::vector< AbbreviationDefinition > &abbrevs, double maxCoverage=0.4)
RDKIT_ABBREVIATIONS_EXPORT void | condenseAbbreviationSubstanceGroups (RWMol &mol)

## Function Documentation

## applyMatches()

RDKIT_ABBREVIATIONS_EXPORT void RDKit::Abbreviations::applyMatches | ( | RWMol & | mol,
|  | const std::vector< AbbreviationMatch > & | matches )

applies the abbreviation matches to a molecule, modifying it in place. the modified molecule is not sanitized

References RDKIT_ABBREVIATIONS_EXPORT.

## condenseAbbreviationSubstanceGroups()

RDKIT_ABBREVIATIONS_EXPORT void RDKit::Abbreviations::condenseAbbreviationSubstanceGroups | ( | RWMol & | mol | ) |

collapses abbreviation (i.e. "SUP") substance groups the modified molecule is not sanitized

References RDKIT_ABBREVIATIONS_EXPORT.

## condenseMolAbbreviations()

RDKIT_ABBREVIATIONS_EXPORT void RDKit::Abbreviations::condenseMolAbbreviations | ( | RWMol & | mol,
|  | const std::vector< AbbreviationDefinition > & | abbrevs,
|  | double | maxCoverage = 0.4,
|  | bool | sanitize = true )

convenience function for finding and applying abbreviations the modified molecule is not sanitized

References RDKIT_ABBREVIATIONS_EXPORT.

## findApplicableAbbreviationMatches()

RDKIT_ABBREVIATIONS_EXPORT std::vector< AbbreviationMatch > RDKit::Abbreviations::findApplicableAbbreviationMatches | ( | const ROMol & | mol,
|  | const std::vector< AbbreviationDefinition > & | abbrevs,
|  | double | maxCoverage = 0.4 )

returns all matches for the abbreviations across the molecule

Parameters

  abbrevs | the abbreviations to look for. This list is used in order.
  maxCoverage | any abbreviation that covers than more than this fraction of the molecule's atoms (not counting dummies) will not be returned.

## labelMatches()

RDKIT_ABBREVIATIONS_EXPORT void RDKit::Abbreviations::labelMatches | ( | RWMol & | mol,
|  | const std::vector< AbbreviationMatch > & | matches )

creates "SUP" SubstanceGroups on the molecule describing the abbreviation

References RDKIT_ABBREVIATIONS_EXPORT.

## labelMolAbbreviations()

RDKIT_ABBREVIATIONS_EXPORT void RDKit::Abbreviations::labelMolAbbreviations | ( | RWMol & | mol,
|  | const std::vector< AbbreviationDefinition > & | abbrevs,
|  | double | maxCoverage = 0.4 )

convenience function for finding and labeling abbreviations as SUP SubstanceGroups

References RDKIT_ABBREVIATIONS_EXPORT.